;jednoduchy priklad blikani LED v preruseni od TIMERU 1 
;pouzijte krystal 4MHz
;LED pripojena na PORTA,0 (vyvod 2 procesoru)



	LIST P=16F877A, R=DEC    ; Use the PIC16F877 and decimal system 

        #include "P16F877A.INC"  ; Include header file 

        __config _BODEN_OFF & _PWRTE_ON & _WDT_OFF & _XT_OSC & _DEBUG_ON & _CPD_OFF & _LVP_OFF

;**************************************************************************
;*                     DH servis - David Hankovec	                      *
;**************************************************************************
;*                                	PIC16F877A                            *
;*                               --------\/--------                       *
;*        			Vpp od SCPD2-|MCLR     PGD/RB7|-  PGD SCPD2           *
;*              				-|RA0/AN0  PGC/RB6|-  PGC SCPD2		      *
;*               				-|RA1/AN1      RB5|-  	 	          	  *
;*     							-|RA2/AN2      RB4|-  			          *
;*   	      	  				-|RA3/AN3  PGM/RB3|-  		      	 	  *
;*       						-|RA4          RB2|-         			  *
;*                 				-|RA5/AN4      RB1|-        			  *
;*                   			-|RE0/RD   INT/RB0|-  	 			      *
;*            					-|RE1/WR       Vdd|-  +5V napjen od SCPD*
;*           					-|RE2/CS       Vss|-   0V    --//----     *
;*                     	   +5V  -|Vdd          RD7|-  		 			  *
;*                          0V 	-|Vss          RD6|-  		  			  *
;*          Krystal 4,00 Mhz / 	-|osc1         RD5|-  		  			  *
;*                           \ 	-|osc2         RD4|-  		  			  *
;*     							-|RC0       Rx/RC7|-  				      *
;*     							-|RC1       Tx/RC6|-  					  *
;*      						-|RC2          RC5|-    				  *
;*       		  			  	-|RC3/SCL  SDA/RC4|-  		   			  *
;*       						-|RD0          RD3|-  					  *
;*								-|RD1          RD2|-  					  *
;*                               ------------------                       *
;*                                              DH servis (c) 2002-2006   *
;**************************************************************************



#define		LED		PORTA,0


cas0	equ		20H
cas1	equ		21H
cas2	equ		22H



	ORG 0
	goto init	
	ORG 4
;-------------uloz data-----------------
;	pozor, v zajmu jednoducheho prikladu neni reseno ukladani W a STATUS v preruseni
;---------------------------------------
	btfsc	PIR1,TMR1IF	;preruseni od TMR1 ?
	goto	test_timeru_1
;-----------------------------------------------------------	
	retfie 

;--------------------------------------------------------------
test_timeru_1
;ano
	bcf		PIR1,TMR1IF	;nuluj flag
    movf	PORTA,W
    xorlw	1
    movwf	PORTA 
	retfie



	
;
init
; ---------------- 
; INITIALIZE PORTS
; ---------------- 
;**************************************************************************
	bcf	STATUS,RP0	; nastaveni BANKY 0
	bcf	STATUS,RP1	; nastaveni BANKY 0
;	------------------------
	movlw	b'00000000'	; prednastaveni PORTu A
	movwf	PORTA
;------------------------------------------------------	
	bsf	STATUS,RP0	; nastaveni BANKY 1

;------------------NASTAVENI PORTU A--------------------------------------------
    movlw b'11111110'		;vsechny vstupni, pouze PORTA,0 vystupni
    movwf TRISA		; portA			
;-------------------------------------------------------------------------------

;------------------NASTAVENI PORTU B--------------------------------------------
;	movlw	b'00001111'	; PULL-UPy ON, preddelic=1:128 pripojen k watchdog
;	movwf	OPTION_REG	; 
;-------------------------------------------------------------------------------
	bcf		ADCON1,PCFG0
	bsf		ADCON1,PCFG1
	bsf		ADCON1,PCFG2
	bcf		ADCON1,PCFG3
;-------------------------------------------------------------------------------
;KOMPARATORY (stale v bance 1):
;al comparators off
	bsf	CMCON,CM0
	bsf	CMCON,CM1
	bsf	CMCON,CM2	;konfigurace vstupu nastavena
;-----------------------------------------------------------------------------
	bcf STATUS,RP0          ; RAM PAGE 0
;-------------------------------------------------------------------
;nastaveni TIMERu 1
		bsf	T1CON,T1CKPS0		;preddelicka naplno na 1:8
		bsf	T1CON,T1CKPS1
		bsf	STATUS, RP0
		bsf	PIE1,TMR1IE		;povol preruseni od TMR1		
		bcf	STATUS,RP0
		bsf	INTCON,PEIE		;povol peripheral interrupt
		bsf	INTCON,GIE		;povol global interrupt
		bsf	T1CON,TMR1ON	;zapni timer
		bcf	LED				;vypni LED
		
;-----------------HLAVNI SMYCKA---------------------------
zacatek	
		goto	$
	END
